svg/text annotations are always set to "fixed map position" in the print composer

2013-08-05 10:56 AM - Giovanni Manghi

Status: Closed

Priority: Normal

Assignee:

Category: Map Composer/Printing

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 17185

Description

See attached screencast. It seems that in the composer the text/svg annotations are always shown as is they are set to "fixed map

position".

I guess that is a user does not choose to activate the "fixed map position" and so have the annotation always in the same spot, relatively to

the upper left corner, then this should be maintained also in the composer (ex: using a svg symbol as watermark also for print layouts).

History

#1 - 2014-04-06 06:04 AM - Jürgen Fischer

- Category changed from 33 to Map Composer/Printing

#2 - 2014-06-20 06:06 AM - Giovanni Manghi

- Target version set to Version 2.4

#3 - 2014-06-28 07:45 AM - Jürgen Fischer

- Target version changed from Version 2.4 to Future Release - High Priority

#4 - 2016-07-26 03:56 AM - Nyall Dawson

- Resolution set to fixed/implemented

- Status changed from Open to Closed

Fixed in master + backported
